IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

x86 32-bits / 64-bits Assembleur Discussion :

[AsmEditor] Output d'erreurs FASM 1.68 et versions suivantes [Trucs & Astuces]


Sujet :

x86 32-bits / 64-bits Assembleur

  1. #1
    Futur Membre du Club
    Profil pro
    Inscrit en
    juin 2009
    Messages
    19
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : juin 2009
    Messages : 19
    Points : 5
    Points
    5
    Par défaut [AsmEditor] Output d'erreurs FASM 1.68 et versions suivantes
    Hello eveyrbody !

    D'emblée : je suis sous Vista en version 32 bits

    Je recontre un problème depuis que j'ai installé la dernière version de FASM pour AsmEditor : en ft, avec la version fournie dans le programme d'installation de FASM, lorsque je compile et que je fais une erreur j'obtiens le message suivant :
    >> Exécution de C:\Program Files\Astase\AsmEditor\Fasm\Fasm.exe "C:\Users\mehdi\Documents\Programme.asm" "C:\Users\mehdi\Documents\Programme.exe"
    flat assembler version 1.41
    C:\Users\mehdi\Documents\Programme.asm [5]:
    mov ds,donnees
    error: invalid operand.

    >> Code de sortie de Fasm.exe : 1
    mais lorsque j'utilise la dernière version de FASM, j'obtiens ça :
    >> Exécution de C:\test\FASM.EXE "C:\Users\mehdi\Documents\Programme.asm" "C:\Users\mehdi\Documents\Programme.exe"
    flat assembler version 1.68 (684510 kilobytes memory)

    >> Code de sortie de FASM.EXE : 2
    Mon souci à moi c'est que j'aimerais vraiment que le compilateur puisse me citer à quel endroit j'ai fait une erreur, comme dans la version 1.41 (imaginez un code qui fasse plusieurs centaines de lignes de code...)

    j'attend vos réponses avec impatience et comme d'habitude, merci d'avance !

  2. #2
    Membre confirmé Avatar de bifur
    passe le balais et l'aspirateur
    Inscrit en
    mars 2008
    Messages
    314
    Détails du profil
    Informations personnelles :
    Âge : 38

    Informations professionnelles :
    Activité : passe le balais et l'aspirateur

    Informations forums :
    Inscription : mars 2008
    Messages : 314
    Points : 550
    Points
    550
    Par défaut
    selon le second "message d'erreur" le programme est bien compilé et par contre le premier message t'indique l'instruction erroné (mov ds,données ;on ne peut pas charger directement une valeur dans un registre de segment) ainsi que sa ligne (ici 5)

  3. #3
    Futur Membre du Club
    Profil pro
    Inscrit en
    juin 2009
    Messages
    19
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : juin 2009
    Messages : 19
    Points : 5
    Points
    5
    Par défaut
    merci de la réponse mais ce que je ne comprend pas c'est pourquoi dans la nouvelle version de FASM je ne peux pas acquérir le même message, en tout cas le numéro de la ligne, comme dans la version 1.41 ?

    quelqu'un a t-il déja réussi à faire marcher la version 1.68 de FASM sous AsmEditor comme cela ?

    j'attend avec impatience vos réponses !

  4. #4
    Membre confirmé Avatar de bifur
    passe le balais et l'aspirateur
    Inscrit en
    mars 2008
    Messages
    314
    Détails du profil
    Informations personnelles :
    Âge : 38

    Informations professionnelles :
    Activité : passe le balais et l'aspirateur

    Informations forums :
    Inscription : mars 2008
    Messages : 314
    Points : 550
    Points
    550
    Par défaut
    j"avait la version 1.41 qui était livrée avec asmeditor 3.0, je l'uttilisait en ligne de commande et j'avait bien un message d'erreur avec numéros de ligne

    j'ai téléchargé la version 1.68 et j'ai toujours le message d'erreur avec numéros de ligne

  5. #5
    Futur Membre du Club
    Profil pro
    Inscrit en
    juin 2009
    Messages
    19
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : juin 2009
    Messages : 19
    Points : 5
    Points
    5
    Par défaut
    merci ^^

    pourriez-vous me décrire, s'il vous plait, votre configuration et quels réglages avez-vous fait sur AsmEditor et FASM ?

    En vous remerçiant d'avance

  6. #6
    Membre confirmé Avatar de bifur
    passe le balais et l'aspirateur
    Inscrit en
    mars 2008
    Messages
    314
    Détails du profil
    Informations personnelles :
    Âge : 38

    Informations professionnelles :
    Activité : passe le balais et l'aspirateur

    Informations forums :
    Inscription : mars 2008
    Messages : 314
    Points : 550
    Points
    550
    Par défaut
    je n'ai fait aucun réglage particulier, j'ai juste téléchargé fasm et décompressé lle fichier fasm.exe dans mon répertoire de travail, j'ai ouvert fl'invite de commande (cmd) et j'ai uttilisé la commande "fasm test1.asm test1.com"

    je n'ai fait aucun réglage sur asm editor car il beug sous mon vista, donc je l'ai désinstallé

  7. #7
    Futur Membre du Club
    Profil pro
    Inscrit en
    juin 2009
    Messages
    19
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : juin 2009
    Messages : 19
    Points : 5
    Points
    5
    Par défaut
    ah oui effectivement

    ce qui mintéresserai ce serait plutot de pouvoir faire cela au sein même de mon IDE

    si quelqu'un a une idée...

  8. #8
    Futur Membre du Club
    Profil pro
    Inscrit en
    juin 2009
    Messages
    19
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : juin 2009
    Messages : 19
    Points : 5
    Points
    5
    Par défaut
    Bon et bien j'ai quand même réussi à trouver le moyen...

    Je poste quand même la réponse pour les curieux qui voudraient utiliser FASM 1.68 et + sur AsmEditor

    Ce qui est bien avec FASM, c'est que c'est libre... vous pouvez avoir le code source en téléchargeant l'assembleur.

    le but est d'assembler ce dernier en changeant juste une chose : la redirection des erreurs vers STD_OUTPUT_HANDLE au lieu de STD_ERROR_HANDLE.

    En somme, rendez-vous dans SOURCE\WIN32 de FASM, ouvrez SYSTEM.INC puis changez les lignes (lignes 287 et 297):
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    fatal_error:
    	mov	[con_handle],STD_ERROR_HANDLE
     
    assembler_error:
    	mov	[con_handle],STD_ERROR_HANDLE
    en :
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    fatal_error:
    	mov	[con_handle],STD_OUTPUT_HANDLE
     
    assembler_error:
    	mov	[con_handle],STD_OUTPUT_HANDLE
    AsmEditor n'étant plus à jour, l'IDE ne reconnait pas STD_ERROR_HANDLE.

    Compilez et normalement, en utilisant ce "nouveau" compilateur vous obtiendrez, comme moi, les messages d'erreurs dans la barre de compilation comme dans la version 1.41

  9. #9
    Membre confirmé Avatar de bifur
    passe le balais et l'aspirateur
    Inscrit en
    mars 2008
    Messages
    314
    Détails du profil
    Informations personnelles :
    Âge : 38

    Informations professionnelles :
    Activité : passe le balais et l'aspirateur

    Informations forums :
    Inscription : mars 2008
    Messages : 314
    Points : 550
    Points
    550
    Par défaut
    bon boulot!

    je te conseille d'envoyer ton ptit truc au créateur d'asm editor je suis sur que ça l'interresera

  10. #10
    Futur Membre du Club
    Profil pro
    Inscrit en
    juin 2009
    Messages
    19
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : juin 2009
    Messages : 19
    Points : 5
    Points
    5
    Par défaut
    merci ! je le ferai volontier si j'arrive à le contacter

+ Répondre à la discussion
Cette discussion est résolue.

Discussions similaires

  1. Réponses: 7
    Dernier message: 22/06/2009, 17h40
  2. proc template : erreur pour mise à jour la version le XP Tagsets
    Par sasseur dans le forum ODS et reporting
    Réponses: 0
    Dernier message: 26/11/2008, 17h42
  3. [Erreur] Compiled with a different version
    Par rickblue dans le forum Débuter
    Réponses: 4
    Dernier message: 09/05/2008, 10h55
  4. Réponses: 10
    Dernier message: 09/03/2007, 16h51
  5. [D3] erreur dans faq asp.net, version Delphi.NET
    Par adaneels dans le forum Contribuez
    Réponses: 1
    Dernier message: 01/11/2006, 21h38

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo